button = {}
mainFont = love.graphics.newFont(20);
function button_spawn (x,y, text, id)
	table.insert(button, {x=x, y=y, text=text, id=id, mouseOver = false})
end

function button_draw()
	for i,v in ipairs(button) do
		love.graphics.setColor(0,0,0)
		love.graphics.rectangle( "line",355,v.y-5,100,mainFont:getHeight()+10)
		if v.mouseOver then
			love.graphics.setColor( 205, 133, 63)
			love.graphics.rectangle( "fill",355,v.y-5,100,mainFont:getHeight()+10)
			love.graphics.setColor(255,0,0)
		else
			love.graphics.setColor( 139, 69, 19 )
			love.graphics.rectangle( "fill",355,v.y-5,100,mainFont:getHeight()+10)
			love.graphics.setColor(0,0,0)
		end
		love.graphics.setFont(mainFont)
		love.graphics.print(v.text, v.x,v.y)
	end
end

function button_click(x,y)
	for i,v in ipairs(button) do
		if x > v.x and 
		x < v.x + mainFont:getWidth(v.text) and
		y > v.y and
		y < v.y + mainFont:getHeight() then
			if v.id=='exit' then
				love.event.quit( )
			end
			if v.id=='start' then
				gamestate = 'playing'
			end
		end
	end
end

function button_check()
	for i,v in ipairs(button) do
		if mousex > v.x and 
		mousex < v.x + mainFont:getWidth(v.text) and
		mousey > v.y and
		mousey < v.y + mainFont:getHeight() then
			v.mouseOver = true
		else
			v.mouseOver = false
		end
	end
end